Leap0

Start LSP server

Start a language server for the given language and project. Sends the LSP `initialize` and `initialized` handshake automatically. Supported languages: `python` (pyright), `typescript`/`javascript` (typescript-language-server).

POST
/v1/sandbox/{sandboxID}/lsp/start

Start a language server for the given language and project. Sends the LSP initialize and initialized handshake automatically. Supported languages: python (pyright), typescript/javascript (typescript-language-server).

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as a Bearer token in the Authorization header. Alternatively, use the leap0-authorization header.

In: header

Path Parameters

sandboxID*string

Unique sandbox identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

language_id*string

Language identifier: python, typescript, or javascript.

path_to_project*string

Path to the project directory inside the sandbox.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.leap0.dev/v1/sandbox/string/lsp/start" \  -H "Content-Type: application/json" \  -d '{    "language_id": "python",    "path_to_project": "/home/user/project"  }'
{  "success": true}
{  "message": "string",  "errors": [    {      "field": "string",      "error": "string"    }  ]}
{  "message": "string"}